Skip to main content
GET
/
api
/
library
/
sources
/
{source_id}
/
connections
Get Source Connections
curl --request GET \
  --url https://api.example.com/api/library/sources/{source_id}/connections
[
  {
    "id": "<string>",
    "namespace": "<string>",
    "similarity": 0.5,
    "title": "<string>",
    "type": "youtube",
    "channel": "<string>",
    "shared_concepts": [
      "<string>"
    ],
    "shared_tools": [
      "<string>"
    ],
    "thumbnail_url": "<string>",
    "url": "<string>"
  }
]

Path Parameters

source_id
string
required

Query Parameters

top_n
integer
default:5

Number of related sources

Required range: 1 <= x <= 10

Response

Successful Response

id
string
required
namespace
string
required
similarity
number
required
Required range: 0 <= x <= 1
title
string
required
type
enum<string>
required
Available options:
youtube,
document,
article
channel
string | null
shared_concepts
string[]
shared_tools
string[]
thumbnail_url
string | null
url
string | null